package com.docus.server.report.service;

import com.docus.server.report.dto.ReportDto;

import java.util.List;

/**
 * 报告服务
 * @author wyb
 */
public interface ReportService {

    /**
     * 上报文件
     * @param reportDto 上报文件参数
     */
    void report(ReportDto reportDto);

    /**
     * 根据任务id集合补偿下载
     * @param taskIds 任务id集合
     */
    void makeupReportByTaskIds(List<Long> taskIds) throws  Exception;
}
